petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoLineSearchAppendOptionsPrefix

Appends to the prefix used for searching for all TaoLineSearch options in the database.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchAppendOptionsPrefix(TaoLineSearch ls, const char p[])

Collective on TaoLineSearch

### Input Parameters

| ls | - the TaoLineSearch solver context
| prefix | - the prefix string to prepend to all line search requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

TaoLineSearchSetOptionsPrefix(), TaoLineSearchGetOptionsPrefix()

### Level

advanced

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages